Get Plan
curl --request GET \
--url https://api.example.com/planimport requests
url = "https://api.example.com/plan"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/plan', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Plan
Get Plan
Get current and scheduled plan details for your organization.
GET
/
plan
Get Plan
Returns the current paid plan, any scheduled plan change, and current credit usage context.
plan.id and scheduled_plan.id return the concrete plan ID (for example: creator, creator_annual, professional, professional_annual, or pro).
Request
curl -X GET "https://api.mosaic.so/plan" \
-H "Authorization: Bearer mk_your_api_key"
Response
{
"organization_id": "d808af70-fc57-4f90-95ca-186a9cbf2ef7",
"plan": {
"id": "creator_annual",
"family": "creator",
"status": "active",
"started_at": "2026-02-01T00:00:00.000Z",
"current_period_start": "2026-03-01T00:00:00.000Z",
"current_period_end": "2026-04-01T00:00:00.000Z",
"canceled_at": null
},
"scheduled_plan": null,
"credits": {
"balance": 1840,
"usage": 660,
"included_usage": 2500,
"unlimited": false
}
}
Was this page helpful?
⌘I